Stream Financial Assistant Agent
Streams the Gemini agent's thoughts, tool calls, and final response using Server-Sent Events (SSE).
Request
Body Params application/json
{
"prompt": "string",
"session_id": 0,
"company_id": 0,
"filing_ids": [
0
],
"title": "New Chat"
}
Request Code Samples
curl --location --request POST 'https://api.financialreports.eu/chat/stream/' \
--header 'x-api-key;' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"session_id": 0,
"company_id": 0,
"filing_ids": [
0
],
"title": "New Chat"
}'
Responses
application/json
SSE Stream. Events include: session_created, title_generated, status, thought, tool_call, tool_execution_start, tool_execution_result, text, citation, error, and done.
{
"chunk": "string",
"name": "string",
"args": null,
"result": null,
"status": "string",
"error": "string",
"title": "string"
}
Modified at 2026-02-22 19:44:07